import * as $dara from '@darabonba/typescript';
import { RecoverVirtualBorderRouterResponseBody } from "./RecoverVirtualBorderRouterResponseBody";
export declare class RecoverVirtualBorderRouterResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: RecoverVirtualBorderRouterResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
